{{page-title (capitalize (t 'browse'))}}

<div class='main-container'>
  <div class='view-browse'>
    <Filters::Bar>
      {{#if this.tag}}
        <Filters::Pill
          @icon='hashtag'
          @value={{this.tag}}
          @onReset={{this.removeTag}}
        />
      {{/if}}

      <Filters::Search
        @class='ms-auto'
        @value={{this.search}}
        @hasSuggestions={{this.searchStorage.history.length}}
        @isSearching={{this.isSearching}}
        @onSearch={{this.performSearch}}
      >
        {{#if this.searchStorage.history.length}}
          <Filters::OptionList
            @title={{t 'recent searches'}}
            @onSelect={{this.performSearch}}
            @values={{this.searchStorage.history}}
          />
        {{/if}}
      </Filters::Search>
    </Filters::Bar>

    <div class='container pt-5'>
      {{#if this.search}}
        <SearchResultsLabel
          @term={{this.search}}
          @results={{this.anyBuckets}}
        />
      {{/if}}

      {{#if this.hasMaps}}
        <h1 class='capitalize-first-letter'>{{t 'maps'}}</h1>

        <Manage::List
          class='map-card-deck flex-wrap'
          @isEditable={{this.isEditable}}
          @viewMode={{this.viewMode}}
          @columns={{this.maps}}
          @header={{concat (t 'name') ',' (t 'description')}}
          @deleteOptions={{concat 'yes:' (t 'yes and remove sites')}}
          @onDelete={{this.deleteRecord}}
          as |section actions|
        >
          <Manage::MapLegacy @section={{section}} @actions={{actions}} />
        </Manage::List>

        {{#if this.hasManyMaps}}
          <div class='mb-3 show-all'>
            <LinkTo
              @route='browse.maps'
              @query={{hash
                search=this.search
                area=this.area
                category=this.category
                subcategory=this.subcategory
                iconSet=this.iconSet
                tag=this.tag
                lon=this.position.longitude
                lat=this.position.latitude
              }}
            >
              {{capitalize (t 'show all')}}

              {{#if (gt this.mapCount 100)}}
                ({{format-number this.mapCount}}+)
              {{else}}
                ({{format-number this.mapCount}})
              {{/if}}

              <FaIcon @icon='angle-right' />
            </LinkTo>
          </div>
        {{/if}}
      {{/if}}

      {{#if this.hasIconSets}}
        <h1 class='capitalize-first-letter'>{{t 'icons'}}</h1>

        <Manage::List
          class='icon-card-deck flex-wrap'
          @isEditable={{this.isEditable}}
          @viewMode={{this.viewMode}}
          @columns={{this.iconSets}}
          @header={{concat (t 'name') ',' (t 'description')}}
          @onDelete={{this.deleteRecord}}
          as |section actions|
        >
          <Browse::IconSet::Section @section={{section}} @actions={{actions}} />
        </Manage::List>

        {{#if this.hasManyIconSets}}
          <div class='mb-5 show-all'>
            <LinkTo
              @route='browse.icons'
              class='btn-show-all-icon-sets'
              @query={{hash search=this.search}}
            >
              {{capitalize (t 'show all')}}

              {{#if (gt this.iconSetCount 100)}}
                ({{format-number this.iconSetCount}}+)
              {{else}}
                ({{format-number this.iconSetCount}})
              {{/if}}

              <FaIcon @icon='angle-right' />
            </LinkTo>
          </div>
        {{/if}}
      {{/if}}

      {{#if this.hasFeatures}}
        <h1 class='capitalize-first-letter'>{{t 'sites'}}</h1>

        <Manage::List
          class='site-card-deck flex-wrap'
          @isEditable={{this.isEditable}}
          @viewMode={{this.viewMode}}
          @actions={{this.modelActions}}
          @columns={{this.features}}
          @header={{concat
            (t 'name')
            ','
            (t 'description')
            ','
            (t 'icons')
            ','
            (t 'pictures')
          }}
          @onDelete={{this.deleteRecord}}
          as |section actions|
        >
          <Manage::Site
            @position={{this.position}}
            @section={{section}}
            @actions={{actions}}
          />
        </Manage::List>

        {{#if this.hasManyFeatures}}
          <div class='mb-5 show-all'>
            <LinkTo
              @route='browse.sites'
              class='btn-show-all-features'
              @query={{hash
                search=this.search
                area=this.area
                category=this.category
                subcategory=this.subcategory
                iconSet=this.iconSet
                tag=this.tag
                lon=this.position.longitude
                lat=this.position.latitude
              }}
            >
              {{capitalize (t 'show all')}}

              {{#if (gt this.featureCount 100)}}
                ({{format-number this.featureCount}}+)
              {{else}}
                ({{format-number this.featureCount}})
              {{/if}}

              <FaIcon @icon='angle-right' />
            </LinkTo>
          </div>
        {{/if}}
      {{/if}}
    </div>
  </div>
</div>